home
***
CD-ROM
|
disk
|
FTP
|
other
***
search
/
Black Box 4
/
BlackBox.cdr
/
autocad
/
autolo12.arj
/
AUTOLOG.LSP
next >
Wrap
Lisp/Scheme
|
1991-09-12
|
31KB
|
721 lines
;Copyright (c) 1991 Andy Harrover
;Version 1 - 29 July 1991
;Version 1.1 - 1 September 1991 (Support for all hatches)
;Version 1.2 - 12 September 1991 bug fix
;
(defun C:AUTOLOG ()
; the following is an error-trapping routine for hatching
(defun hatch ()
(setq hatyes 0)
(cond
((= hatyes 0)
(setq pat(getstring "\nHatch Pattern: "))
(hatchit)
);end this case
((= hatyes 2)
(prompt "\nNot Found!..Try Again")
(setq pat(getstring "\nHatch Pattern: "))
(hatchit)
);end this case
);end cond
);defun
;hatching subroutine
(defun hatchit ()
(cond
((or (= pat "ar-conc") (= pat "AR-CONC"))
(setq pscala 0.04)
(command "hatch" pat pscala "" (entlast) "")
(setq hatyes 1)
);end this case
((or (= pat "ar-b816") (= pat "AR-B816"))
(setq pscala 0.04)
(command "hatch" pat pscala "" (entlast) "")
(setq hatyes 1)
);end this case
((or (= pat "ar-b816c") (= pat "AR-B816C"))
(setq pscala 0.04)
(command "hatch" pat pscala "" (entlast) "")
(setq hatyes 1)
);end this case
((or (= pat "ar-b88") (= pat "AR-B88"))
(setq pscala 0.04)
(command "hatch" pat pscala "" (entlast) "")
(setq hatyes 1)
);end this case
((or (= pat "ar-brelm") (= pat "AR-BRELM"))
(setq pscala 0.04)
(command "hatch" pat pscala "" (entlast) "")
(setq hatyes 1)
);end this case
((or (= pat "ar-brstd") (= pat "AR-BRSTD"))
(setq pscala 0.04)
(command "hatch" pat pscala "" (entlast) "")
(setq hatyes 1)
);end this case
((or (= pat "ar-hbone") (= pat "AR-HBONE"))
(setq pscala 0.04)
(command "hatch" pat pscala "" (entlast) "")
(setq hatyes 1)
);end this case
((or (= pat "ar-parq1") (= pat "AR-PARQ1"))
(setq pscala 0.04)
(command "hatch" pat pscala "" (entlast) "")
(setq hatyes 1)
);end this case
((or (= pat "ar-rroof") (= pat "AR-RROOF"))
(setq pscala 0.04)
(command "hatch" pat pscala "" (entlast) "")
(setq hatyes 1)
);end this case
((or (= pat "ar-rshke") (= pat "AR-RSHKE"))
(setq pscala 0.04)
(command "hatch" pat pscala "" (entlast) "")
(setq hatyes 1)
);end this case
((or (= pat "box") (= pat "BOX"))
(setq pscala 0.04)
(command "hatch" pat pscala "" (entlast) "")
(setq hatyes 1)
);end this case
((or (= pat "brass") (= pat "BRASS"))
(setq pscala 0.04)
(command "hatch" pat pscala "" (entlast) "")
(setq hatyes 1)
);end this case
((or (= pat "brstone") (= pat "BRSTONE"))
(setq pscala 0.04)
(command "hatch" pat pscala "" (entlast) "")
(setq hatyes 1)
);end this case
((or (= pat "cork") (= pat "CORK"))
(setq pscala 1)
(command "hatch" pat pscala "" (entlast) "")
(setq hatyes 1)
);end this case
((or (= pat "earth") (= pat "EARTH"))
(setq pscala 1)
(command "hatch" pat pscala "" (entlast) "")
(setq hatyes 1)
);end this case
((or (= pat "escher") (= pat "ESCHER"))
(setq pscala 0.04)
(command "hatch" pat pscala "" (entlast) "")
(setq hatyes 1)
);end this case
((or (= pat "flex") (= pat "FLEX"))
(setq pscala 0.04)
(command "hatch" pat pscala "" (entlast) "")
(setq hatyes 1)
);end this case
((or (= pat "grass") (= pat "GRASS"))
(setq pscala 0.04)
(command "hatch" pat pscala "" (entlast) "")
(setq hatyes 1)
);end this case
((or (= pat "grate") (= pat "GRATE"))
(setq pscala 0.04)
(command "hatch" pat pscala "" (entlast) "")
(setq hatyes 1)
);end this case
((or (= pat "hex") (= pat "HEX"))
(setq pscala 0.04)
(command "hatch" pat pscala "" (entlast) "")
(setq hatyes 1)
);end this case
((or (= pat "honey") (= pat "HONEY"))
(setq pscala 0.04)
(command "hatch" pat pscala "" (entlast) "")
(setq hatyes 1)
);end this case
((or (= pat "hound") (= pat "HOUND"))
(setq pscala 0.04)
(command "hatch" pat pscala "" (entlast) "")
(setq hatyes 1)
);end this case
((or (= pat "INSUL") (= pat "insul"))
(setq pscala 0.04)
(command "hatch" pat pscala "" (entlast) "")
(setq hatyes 1)
);end this case
((or (= pat "line") (= pat "LINE"))
(setq pscala 0.04)
(command "hatch" pat pscala "" (entlast) "")
(setq hatyes 1)
);end this case
((or (= pat "NET") (= pat "net"))
(setq pscala 0.04)
(command "hatch" pat pscala "" (entlast) "")
(setq hatyes 1)
);end this case
((or (= pat "net3") (= pat "NET3"))
(setq pscala 0.04)
(command "hatch" pat pscala "" (entlast) "")
(setq hatyes 1)
);end this case
((or (= pat "PLAST") (= pat "plast"))
(setq pscala 0.04)
(command "hatch" pat pscala "" (entlast) "")
(setq hatyes 1)
);end this case
((or (= pat "plasti") (= pat "PLASTI"))
(setq pscala 0.04)
(command "hatch" pat pscala "" (entlast) "")
(setq hatyes 1)
);end this case
((or (= pat "sacncr") (= pat "SACNCR"))
(setq pscala 0.04)
(command "hatch" pat pscala "" (entlast) "")
(setq hatyes 1)
);end this case
((or (= pat "SQUARE") (= pat "square"))
(setq pscala 0.04)
(command "hatch" pat pscala "" (entlast) "")
(setq hatyes 1)
);end this case
((or (= pat "stars") (= pat "STARS"))
(setq pscala 0.04)
(command "hatch" pat pscala "" (entlast) "")
(setq hatyes 1)
);end this case
((or (= pat "STEEL") (= pat "steel"))
(setq pscala 0.04)
(command "hatch" pat pscala "" (entlast) "")
(setq hatyes 1)
);end this case
((or (= pat "swamp") (= pat "SWAMP"))
(setq pscala 0.04)
(command "hatch" pat pscala "" (entlast) "")
(setq hatyes 1)
);end this case
((or (= pat "trans") (= pat "TRANS"))
(setq pscala 0.04)
(command "hatch" pat pscala "" (entlast) "")
(setq hatyes 1)
);end this case
((or (= pat "TRIANG") (= pat "triang"))
(setq pscala 0.04)
(command "hatch" pat pscala "" (entlast) "")
(setq hatyes 1)
);end this case
((or (= pat "zigzag") (= pat "ZIGZAG"))
(setq pscala 0.04)
(command "hatch" pat pscala "" (entlast) "")
(setq hatyes 1)
);end this case
((or (= pat "dots") (= pat "DOTS"))
(setq pscalb 1)
(command "hatch" pat pscalb "" (entlast) "")
(setq hatyes 1)
);end this case
((or (= pat "dolmit") (= pat "DOLMIT"))
(setq pscalc 1)
(command "hatch" pat pscalc "" (entlast) "")
(setq hatyes 1)
);end this case
((or (= pat "u") (= pat "U"))
(setq pscald 0.1)
(command "hatch" pat "" pscald "" (entlast) "")
(setq hatyes 1)
);end this case
((or (= pat "mudst") (= pat "MUDST"))
(setq pscale 0.5)
(command "hatch" pat pscale "" (entlast) "")
(setq hatyes 1)
);end this case
((or (= pat "ar-sand") (= pat "AR-SAND"))
(setq pscalf 0.06)
(command "hatch" pat pscalf "" (entlast) "")
(setq hatyes 1)
);end this case
((or (= pat "brick") (= pat "BRICK"))
(setq pscalg 1)
(command "hatch" pat pscalg "" (entlast) "")
(setq hatyes 1)
);end this case
((or (= pat "cross") (= pat "CROSS"))
(setq pscalh 1)
(command "hatch" pat pscalh "" (entlast) "")
(setq hatyes 1)
);end this case
((or (= pat "clay") (= pat "CLAY"))
(setq pscali 2)
(command "hatch" pat pscali "" (entlast) "")
(setq hatyes 1)
);end this case
((or (= pat "angle") (= pat "ANGLE"))
(setq pscali 2)
(command "hatch" pat pscali "" (entlast) "")
(setq hatyes 1)
);end this case
((or (= pat "ANSI31") (= pat "ansi31"))
(setq pscali 2)
(command "hatch" pat pscali "" (entlast) "")
(setq hatyes 1)
);end this case
((or (= pat "ansi32") (= pat "ANSI32"))
(setq pscali 2)
(command "hatch" pat pscali "" (entlast) "")
(setq hatyes 1)
);end this case
((or (= pat "ANSI33") (= pat "ansi33"))
(setq pscali 2)
(command "hatch" pat pscali "" (entlast) "")
(setq hatyes 1)
);end this case
((or (= pat "ANSI34") (= pat "ansi34"))
(setq pscali 2)
(command "hatch" pat pscali "" (entlast) "")
(setq hatyes 1)
);end this case
((or (= pat "ANSI35") (= pat "ansi35"))
(setq pscali 2)
(command "hatch" pat pscali "" (entlast) "")
(setq hatyes 1)
);end this case
((or (= pat "ANSI36") (= pat "ansi36"))
(setq pscali 2)
(command "hatch" pat pscali "" (entlast) "")
(setq hatyes 1)
);end this case
((or (= pat "ANSI37") (= pat "ansi37"))
(setq pscali 2)
(command "hatch" pat pscali "" (entlast) "")
(setq hatyes 1)
);end this case
((or (= pat "ANSI38") (= pat "ansi38"))
(setq pscali 2)
(command "hatch" pat pscali "" (entlast) "")
(setq hatyes 1)
);end this case
((or (= pat "dash") (= pat "DASH"))
(setq pscali 1)
(command "hatch" pat pscali "" (entlast) "")
(setq hatyes 1)
);end this case
((= hatyes 0)
(setq hatyes 2)
(prompt "\nNot Found!..Try Again")
(hatch)
);end this cond
):end cond
);end defun
(command "limits" "-5,-5" "20,20")
(command "zoom" "all")
(command "setvar" "cmdecho" "0")
(command "pline" "1,1" "1,9" "2.5,9" "2.5,1" "1,1" "") ;draws well
(command "pline" "2,1" "2,10" "2.5,10" "2.5,9" "")
(command "pedit" (entlast) "w" ".02" "")
(command "pline" "2.5,9" "2.5,1" "")
(command "pedit" (entlast) "w" ".02" "")
(command "pline" "2.5,1" "3,1" "3,9" "2.5,9" "c");draws construction side
(command "pline" "2.5,9" "7.8488,9" "");draws ground surface
(command "style" "b" "romans" ".07" "" "" "" "" "" "");sets style for well construction label
(setq totald(getreal "\nENTER TOTAL WELL DEPTH: "))
(setq scale(/ totald 8))
;This section draws the well construction details and labels them
;<------------------------------------------------->
(prompt "\n<------BACKFILL DETAILS------> ")
(prompt "\nIs there any backfill at the bottom of the well? ")
(setq backans(getstring "\n(Y or N) "))
(if (or(= backans "y") (= backans "Y"))
(progn
(setq bfill(getreal "\nThickness of Backfill: "))
(setq bfilld(/ bfill scale))
(setq two 2)
(setq three 3)
(setq one 1)
(setq bfilld(+ 1 bfilld))
(setq llf(list two one))
(setq lrf(list three one))
(setq ulf(list two bfilld))
(setq urf(list three bfilld))
(command "pline" llf lrf urf ulf llf "");draws backfill
(hatch)
(command "pline" ulf urf "")
(command "pedit" (entlast) "w" ".01" "")
;adds tick at top of fill and depth to fill
(command "line" urf "@0.1<0" "")
(prompt "\nDepth to Fill:")
(setq text(read-line))
(setq txtr 3.2)
(setq textpt(list txtr bfilld))
(command "text" textpt "0" text);adds label
;labels fill type
(setq ftexty(- bfilld 0.11))
(setq flp(list three ftexty))
(command "line" flp "@0.1<0" "")
(setq tposx 3.2)
(setq textpos(list tposx ftexty))
(prompt "\nTYPE OF BACKFILL ")
(setq bfiltyp(read-line))
(command "text" textpos "0" bfiltyp) ;adds label
(setq lry ftexty)
(setq fans(getstring "\nAnother line of text? (Y or N) "))
(while (or(= fans "y") (= fans "Y")) ;while loop
(prompt "\nNext label: ")
(prompt "\nMaximum of 14 characters ")
(setq flabel(read-line))
(setq lry(- lry 0.11))
(setq lstart(list tposx lry))
(command "text" lstart "0" flabel) ;adds formation label
(setq fans(getstring "\nAnother line of text? (Y or N) "))
);ends while loop
);progn
(progn
(setq bfilld 1)
);progn
);ends if loop
;<-------------------------------------------------->
;<-------------------SandPack---------------------->
(prompt "\n<------SANDPACK DETAILS------> ")
(setq sandpd(getreal "\nThickness of Sandpack: "))
(setq sandpd(/ sandpd scale))
(setq sandpd(+ sandpd bfilld))
(setq lx 2.5)
(setq rx 3)
(setq lls(list lx bfilld))
(setq lrs(list rx bfilld))
(setq uls(list lx sandpd))
(setq urs(list rx sandpd))
(command "pline" lls lrs urs uls lls "")
(hatch)
(command "pline" uls urs "")
(command "pedit" (entlast) "w" ".01" "")
;adds tick at top of sand and depth to sand
(command "line" urs "@0.1<0" "")
(prompt "\nDepth to Sandpack: ")
(setq text(read-line))
(setq txtr 3.2)
(setq textpt(list txtr sandpd))
(command "text" textpt "0" text);adds depth label
;labels sand type
(setq ftexty(- sandpd 0.11))
(setq tposx 3.2)
(setq textpos(list tposx ftexty))
(prompt "\nSandpack Label: ")
(setq sandtyp(read-line));prompt for sandpack label
(command "text" textpos "0" sandtyp) ;adds label
(setq lry ftexty)
(setq fans(getstring "\nAnother line of text? (Y or N) "))
(while (or(= fans "y") (= fans "Y")) ;while loop
(prompt "\nNext label: ")
(prompt "\nMaximum of 14 characters ")
(setq flabel(read-line))
(setq lry(- lry 0.11))
(setq lstart(list tposx lry))
(command "text" lstart "0" flabel) ;adds formation label
(setq fans(getstring "\nAnother line of text? (Y or N) "))
);ends while loop
;<-------------------------------------------------->
;
;<----------------------------------END SAND PACK SECTION
;<-------------------START OF SCREEN SECTION
(prompt "\n<------SCREEN DETAILS------> ")
(setq screeni(getreal "\nScreening interval: "))
(setq screeni(/ screeni scale))
(setq screen(+ screeni bfilld))
(setq lx 2.5)
(setq rx 3)
(setq llsc(list two bfilld))
(setq lrsc(list lx bfilld))
(setq ulsc(list two screen))
(setq ursc(list lx screen))
(command "pline" llsc lrsc ursc ulsc llsc "");draws screen
(hatch)
(command "pline" ulsc ursc "")
(command "pedit" (entlast) "w" ".01" "")
(command "style" "b" "romans" ".07" "" "" "" "" "" "");sets style
;adds line for screen label
(setq scl(/ screeni 2))
(setq sclb(+ scl bfilld))
(setq sclc(list lx sclb))
(command "line" sclc "@0.7<0" "")
(setq scly(- sclb 0.04))
(setq sclx 3.3);changed from 0.5
(setq textpt(list sclx scly))
;labels screen type
(prompt "\nScreen Label: ")
(setq sctyp(read-line));prompt for screentype
(command "text" textpt "0" sctyp) ;adds label<---------scaley
(setq lry scly)
(setq fans(getstring "\nAnother line of text? (Y or N) "))
(while (or(= fans "y") (= fans "Y")) ;while loop
(prompt "\nNext label: ")
(prompt "\nMaximum of 14 characters ")
(setq flabel(read-line))
(setq lry(- lry 0.11))
(setq lstart(list sclx lry))
(command "text" lstart "0" flabel) ;adds formation label
(setq fans(getstring "\nAnother line of text? (Y or N) "))
);ends while loop
;<-----------------------------------------------
;<---------------BENTONITE SEAL
(prompt "\n<------BENTONITE DETAILS------> ")
(setq bent(getreal "\nBentonite Thickness: "))
(setq bent(/ bent scale))
(setq bent(+ sandpd bent)); bent is cumulative thickness
(setq lx 2.5)
(setq rx 3)
(setq llb(list lx sandpd))
(setq lrb(list rx sandpd))
(setq ulb(list lx bent))
(setq urb(list rx bent))
(command "pline" llb lrb urb ulb llb "")
(hatch)
(command "pline" ulb urb "")
(command "pedit" (entlast) "w" ".01" "")
;adds tick at top of bentonite
(command "line" urb "@0.1<0" "")
(prompt "\nDepth to Bentonite: ")
(setq text(read-line))
(setq txtr 3.2)
(setq textpt(list txtr bent))
(command "text" textpt "0" text);adds depth label
;labels sand type
(setq ftexty(- bent 0.11))
(setq tposx 3.2)
(setq textpos(list tposx ftexty))
(prompt "\nBentonite Label: ")
(setq benl(read-line));prompt for sandpack label
(command "text" textpos "0" benl) ;adds label
(setq lry ftexty)
(setq fans(getstring "\nAnother line of text? (Y or N) "))
(while (or(= fans "y") (= fans "Y")) ;while loop
(prompt "\nNext label: ")
(prompt "\nMaximum of 14 characters ")
(setq flabel(read-line))
(setq lry(- lry 0.11))
(setq lstart(list tposx lry))
(command "text" lstart "0" flabel) ;adds formation label
(setq fans(getstring "\nAnother line of text? (Y or N) "))
);ends while loop
;<---------GROUT----------------------------------
(prompt "\n<------GROUT DETAILS------> ")
(setq lx 2.5)
(setq rx 3)
(setq nine 9)
(setq llg(list lx bent))
(setq lrg(list rx bent))
(setq ulg(list lx nine))
(setq urg(list rx nine))
(command "pline" llg lrg urg ulg llg "")
(prompt "\nTHIS SECTION FILLS IN THE GROUT")
(hatch)
(setq diff(- nine bent))
(setq div(/ diff 2))
(setq midgy(+ div bent))
(setq midg(list rx midgy))
;adds tick at middle of grout
(command "line" midg "@0.1<0" "")
(prompt "\nGrout Label: ")
(setq groutl(read-line));prompt for grout label
(setq tposx(+ rx 0.14))
(setq ftexty(- midgy 0.02))
(setq textpos(list tposx ftexty))
(command "text" textpos "0" groutl) ;adds label
(setq lry ftexty)
(setq fans(getstring "\nAnother line of text? (Y or N) "))
(while (or(= fans "y") (= fans "Y")) ;while loop
(prompt "\nNext label: ")
(prompt "\nMaximum of 14 characters ")
(setq flabel(read-line))
(setq lry(- lry 0.09))
(setq lstart(list tposx lry))
(command "text" lstart "0" flabel) ;adds formation label
(setq fans(getstring "\nAnother line of text? (Y or N) "))
);ends while loop
;<--------------LITHOLOGY-------------------------
(prompt "\nTHIS SECTION IS FOR GEOLOGY")
(setq garbage(getstring "\nHit any key to continue..."))
(command "move" "w" "0,0" "20,20" "" "1,1" "0,0")
(setq a(getreal "\nThickness of layer: "))
(setq thick(/ a scale))
(setq x 0)
(setq xr 1)
(setq ul(list x thick))
(setq ur(list xr thick))
(command "pline" "0,0" ul ur "1,0" "c");draws first formation
(hatch)
(command "pline" ul ur "")
(command "pedit" (entlast) "w" ".01" "")
(command "style" "b" "romans" ".07" "" "" "" "" "" "");sets style for well material label
(command "line" ul "@.105<180" "");draws tick at top of layer
(setq try (- thick 0.05))
(setq trx -0.15)
(setq tstart(list trx try))
(prompt "\nDepth to formation:")
(setq fdepth(read-line))
(command "text" "j" "r" tstart "0" fdepth) ;adds depth label
(setq lry(- try 0.11))
(setq lstart(list trx lry))
(prompt "\nLabel for formation: ")
(prompt "\nMaximum of 14 characters ")
(setq flabel(read-line))
(command "text" "j" "r" lstart "0" flabel) ;adds formation label
(setq fans(getstring "\nAnother line of text? (Y or N) "))
(while (= fans "y") ;while loop
(prompt "\nNext label for formation: ")
(prompt "\nMaximum of 14 characters ")
(setq flabel(read-line))
(setq lry(- lry 0.11))
(setq lstart(list trx lry))
(command "text" "j" "r" lstart "0" flabel) ;adds formation label
(setq fans(getstring "\nAnother line of text? (Y or N) "))
);ends while loop
;
(setq ydis thick)
;(setq answer "y")
(setq answer (getstring "\nANOTHER LAYER (Y or N)"))
(while (or (= answer "y") (= answer "Y")) ;while loop
(setq a(getreal "\nThickness of layer: "))
(setq temp(/ a scale))
(setq thick (+ temp ydis))
(setq eight 8)
(if (> thick eight)
(progn
(prompt "\nTHICKNESS EXCEEDS GROUND SURFACE!")
(prompt "\n AutoLog can Perform rounding to top of surface")
(setq answer (getstring "\nTRY AGAIN or AUTOROUND? (T or A): "))
(if (or (= answer "t") (= answer "T"))
(progn
(setq answer "y")
);closes progn
(progn
(setq thick 8)
(setq ll(list x ydis))
(setq ul(list x thick))
(setq ur(list xr thick))
(setq lr(list xr ydis))
(command "pline" ll ul ur lr "c")
(setq ydis (+ ydis temp))
(hatch)
(command "pline" ul ur "")
(command "pedit" (entlast) "w" ".01" "")
(command "line" ul "@.105<180" "");draws tick at top of layer
(setq try (- thick 0.05))
(setq trx -0.15)
(setq tstart(list trx try))
(prompt "\nDepth to formation:")
(setq fdepth(read-line))
;(command "style" "a" "romans" ".1" "" "" "" "" "" "")
(command "text" "j" "r" tstart "0" fdepth) ;adds depth label
(setq lry(- try 0.11))
(setq lstart(list trx lry))
(prompt "\nLabel for formation: ")
(prompt "\nMaximum of 14 characters ")
(setq flabel(read-line))
(command "text" "j" "r" lstart "0" flabel) ;adds formation label
(setq fans(getstring "\nAnother line of text? (Y or N) "))
(while (= fans "y") ;while loop
(prompt "\nNext label for formation: ")
(prompt "\nMaximum of 14 characters ")
(setq flabel(read-line))
(setq lry(- lry 0.11))
(setq lstart(list trx lry))
(command "text" "j" "r" lstart "0" flabel) ;adds formation label
(setq fans(getstring "\nAnother line of text? (Y or N) "))
);ends while loop
);closes progn
);closes if
);ends progn
(progn
(setq ll(list x ydis))
(setq ul(list x thick))
(setq ur(list xr thick))
(setq lr(list xr ydis))
(command "pline" ll ul ur lr "c")
(setq ydis (+ ydis temp))
(hatch)
(command "pline" ul ur "")
(command "pedit" (entlast) "w" ".01" "")
(command "line" ul "@.105<180" "");draws tick at top of layer
(setq try (- thick 0.05))
(setq trx -0.15)
(setq tstart(list trx try))
(prompt "\nDepth to formation:")
(setq fdepth(read-line))
;(command "style" "a" "romans" ".1" "" "" "" "" "" "")
(command "text" "j" "r" tstart "0" fdepth) ;adds depth label
(setq lry(- try 0.11))
(setq lstart(list trx lry))
(prompt "\nLabel for formation: ")
(prompt "\nMaximum of 14 characters ")
(setq flabel(read-line))
(command "text" "j" "r" lstart "0" flabel) ;adds formation label
(setq fans(getstring "\nAnother line of text? (Y or N) "))
(while (= fans "y") ;while loop
(prompt "\nNext label for formation: ")
(prompt "\nMaximum of 14 characters ")
(setq flabel(read-line))
(setq lry(- lry 0.11))
(setq lstart(list trx lry))
(command "text" "j" "r" lstart "0" flabel) ;adds formation label
(setq fans(getstring "\nAnother line of text? (Y or N) "))
);ends while loop
(setq answer (getstring "\nANOTHER LAYER (Y or N)"))
);ends progn
);ends if
);ends while loop
(command "move" "w" "-3,-3" "20,20" "" "1.5,3.99" "1.89,4.95")
(command "move" "w" "-3,-3" "20,20" "" ".3878,.95" "1.65,.5")
(command "pline" "0,0" "0,11" "8.5,11" "8.5,0" "0,0" "");draws box
(command "pedit" (entlast) "w" ".02" "")
(command "style" "a" "romans" ".1" "" "" "" "" "" "");sets style for labels
(prompt "\nCOMPLETED BY: ")
(setq name(read-line))
(command "text" ".281,10.016" "0" "BY: ")
(command "text" ".523,10.016" "0" name)
(prompt "\nDATE COMPLETED: ")
(setq date(read-line))
(command "text" ".281,10.259" "0" "COMPLETION DATE: ")
(command "text" "1.77,10.259" "0" date)
(prompt "\nDRILLING METHOD: ")
(setq method(read-line))
(command "text" ".281,10.496" "0" "DRILL METHOD: ")
(command "text" "1.48,10.496" "0" method)
(prompt "\nDRILLER: ")
(setq driller(read-line))
(command "text" ".281,10.75" "0" "DRILLER: ")
(command "text" "1,10.75" "0" driller)
(prompt "\nGROUND SURFACE ELEVATION: ")
(setq gelev(read-line))
(command "text" "6,8.55" "0" "SURFACE ELEVATION: ")
(command "text" "7.6,8.55" "0" gelev)
(command "text" "0.4438,0.1" "0" "Depth Measured from Ground Surface")
(command "text" "1.79,8.55" "0" "Lithology")
(prompt "\nPROJECT: ")
(setq project(read-line))
(command "text" "5.247,10.75" "0" "PROJECT: ")
(command "text" "6.02,10.75" "0" project)
(prompt "\nWELL NUMBER: ")
(setq number(read-line))
(command "text" "5.247,10.259" "0" "WELL NUMBER: ")
(command "text" "6.42,10.259" "0" number)
(prompt "\nWELL TYPE: ")
(setq wellt(read-line))
(command "text" "5.247,10.496" "0" "WELL TYPE: ")
(command "text" "6.158,10.496" "0" wellt)
(prompt "\nLOCATION: ")
(setq loc(read-line))
(command "text" "5.247,10.016" "0" "LOCATION: ")
(command "text" "6.0442,10.016" "0" loc)
(command "pline" "0,9.88" "8.5,9.88" "")
(command "pedit" (entlast) "w" ".02" "")
(command "pline" "3.1522,8.75" "3.3,8.75" "")
(command "style" "b" "romans" ".07" "" "" "" "" "" "")
(prompt "\nWELL CASING MATERIAL: ")
(setq ctype(read-line))
(command "text" "3.35,8.74" "0" "CASING MATERIAL: ")
(command "text" "4.33,8.74" "0" ctype)
(command "pline" "3.1522,9.5" "3.3,9.5" "")
(prompt "\nTOP OF CASING ELEVATION: ")
(setq celev(read-line))
(command "text" "3.35,9.47" "0" "TOP OF CASING ELEVATION: ")
(command "text" "4.87,9.47" "0" celev)
(command "pline" "3.6522,7.5" "3.75,7.5" "")
(prompt "\nBOREHOLE DIAMETER: ")
(setq bd(read-line))
(command "text" "3.81,7.46" "0" "BOREHOLE DIAMETER: ")
(command "text" "5,7.46" "0" bd)
);ends program